@echo off
cls

echo Z-Com LANEscape WL2420 Software Installation
echo Copyright (c) Z-Com, Inc. Taiwan 1997.  All rights reserved.
echo.

if      %1A == A goto Usage
if not  %2C == C goto Usage

if exist %1\NUL goto VerifyDisk

:CreateDir
echo The %1 directory doesn't exist.
echo Install program will create it now.
echo.
pause
md %1
md %1\ODI
md %1\ODIPKT
md %1\PKTDRV
md %1\MSLANMAN.DOS
md %1\MSLANMAN.DOS\DRIVERS
md %1\MSLANMAN.DOS\DRIVERS\NIF
md %1\MSLANMAN.DOS\DRIVERS\ETHERNET
md %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420
md %1\WIN95
if exist %1\NUL goto VerifyDisk
echo.
echo Cannot create directory!!
goto exit

:VerifyDisk
echo Verifying disk...
echo.

if not exist README.TXT             goto BadDisk
if not exist WLJMP.EXE              goto BadDisk
if not exist WLU.EXE                goto BadDisk
if not exist ODI\WL2420.COM         goto BadDisk
if not exist ODI\WL2420.INS         goto BadDisk
if not exist ODIPKT\STARTNET.BAT    goto BadDisk
if not exist ODIPKT\NET.CFG         goto BadDisk
if not exist PKTDRV\WL2420P.COM     goto BadDisk
if not exist PKTDRV\README.TXT      goto BadDisk
if not exist MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420\WL2420.DOS   goto BadDisk
if not exist MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420\PROTOCOL.INI goto BadDisk
if not exist MSLANMAN.DOS\DRIVERS\NIF\WL2420.NIF               goto BadDisk
if not exist WIN95\WL2420.SYS       goto BadDisk
if not exist WIN95\OEMSETUP.INF     goto BadDisk

echo Copying files...
echo.

copy README.TXT           %1 >NUL
copy WLJMP.EXE            %1 >NUL
copy WLU.EXE              %1 >NUL

if not exist %1\ODI\NUL md %1\ODI
copy ODI\WL2420.COM       %1\ODI >NUL
copy ODI\WL2420.INS       %1\ODI >NUL

if not exist %1\ODIPKT\NUL md %1\ODIPKT
copy ODIPKT\STARTNET.BAT  %1\ODIPKT >NUL
copy ODIPKT\NET.CFG       %1\ODIPKT >NUL

if not exist %1\PKTDRV\NUL md %1\PKTDRV
copy PKTDRV\WL2420P.COM   %1\PKTDRV >NUL
copy PKTDRV\README.TXT    %1\PKTDRV >NUL

if not exist %1\MSLANMAN.DOS\NUL md %1\MSLANMAN.DOS
if not exist %1\MSLANMAN.DOS\DRIVERS\NUL md %1\MSLANMAN.DOS\DRIVERS
if not exist %1\MSLANMAN.DOS\DRIVERS\NIF\NUL md %1\MSLANMAN.DOS\DRIVERS\NIF
if not exist %1\MSLANMAN.DOS\DRIVERS\ETHERNET\NUL md %1\MSLANMAN.DOS\DRIVERS\ETHERNET
if not exist %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420\NUL md %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420
copy MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420\WL2420.DOS     %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420 >NUL
copy MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420\PROTOCOL.INI   %1\MSLANMAN.DOS\DRIVERS\ETHERNET\WL2420 >NUL
copy MSLANMAN.DOS\DRIVERS\NIF\WL2420.NIF                 %1\MSLANMAN.DOS\DRIVERS\NIF >NUL

if not exist %1\WIN95\NUL md %1\WIN95
copy WIN95\WL2420.SYS     %1\WIN95 >NUL
copy WIN95\OEMSETUP.INF   %1\WIN95 >NUL

echo *************************
echo  Installation Complete !
echo *************************
goto exit

:BadDisk
echo Please insert LANEscape WL2420 Setup & Utility diskette.
pause
goto VerifyDisk

:Usage
echo usage:   INSTALL path
echo example: INSTALL C:\WL2420
goto exit

:exit
